@set exe=Example-Haskell
@set tempdir=c:/temp/ghc
@set defines=-DFREEARC_WIN -DFREEARC_INTEL_BYTE_ORDER -optc-DFREEARC_WIN -optc-DFREEARC_INTEL_BYTE_ORDER
@rem ******** -DFREEARC_UNIX -DFREEARC_MOTOROLA_BYTE_ORDER -DFREEARC_ONLY_ALIGNED_ACCESS -DFREEARC_PACKED_STRINGS *******
@call compile
@set c_modules=%tempdir%/Compression.o %tempdir%/PPMD_Parser.o %tempdir%/C_PPMD_Compress.o %tempdir%/C_PPMD_Decompress.o %tempdir%/C_LZP.o %tempdir%/C_LZMA.o %tempdir%/C_GRZip.o %tempdir%/C_BCJ.o -lstdc++
@set options=-fglasgow-exts
ghc.exe --make %1 Example-Haskell.hs %options% %defines% %c_modules% -odir %tempdir% -hidir %tempdir% -o %exe% -H20m
@strip %exe%.exe
@del CompressionLib_stub.? >nul
