#include "../Compression.h"

#ifndef FREEARC_DECOMPRESS_ONLY
int bcj_x86_compress   (INOUT_FUNC *read_f, INOUT_FUNC *write_f);
#endif
int bcj_x86_decompress (INOUT_FUNC *read_f, INOUT_FUNC *write_f);


#ifdef __cplusplus

//  ⠭⭮ 䥩 ⮤ ᦠ COMPRESSION_METHOD
class BCJ_X86_METHOD : public COMPRESSION_METHOD
{
public:
  // 㭪樨 ᯠ  㯠
  virtual int decompress (INOUT_FUNC *read_f, INOUT_FUNC *write_f);
#ifndef FREEARC_DECOMPRESS_ONLY
  virtual int compress   (INOUT_FUNC *read_f, INOUT_FUNC *write_f);

  //   buf[MAX_METHOD_STRLEN] ப, 뢠 ⮤ ᦠ (㭪, ⭠  parse_BCJ_X86)
  virtual void ShowCompressionMethod (char *buf);

  // /⠭  , ᯮ㥬  㯠/ᯠ, ࠧ ᫮  ࠧ 
  virtual int  GetCompressionMem     (void) {return BUFFER_SIZE;}
  virtual int  GetDecompressionMem   (void) {return BUFFER_SIZE;}
  virtual int  GetDictionary         (void) {return 0;}
  virtual int  GetBlockSize          (void) {return 0;}
  virtual void SetCompressionMem     (int)  {}
  virtual void SetDecompressionMem   (int)  {}
  virtual void SetDictionary         (int)  {}
  virtual void SetBlockSize          (int)  {}
#endif
};

// 騪 ப ⮤ ᦠ BCJ_X86
COMPRESSION_METHOD* parse_BCJ_X86 (char** parameters);

#endif  // __cplusplus
