#include "C_PPMD.h"

namespace PPMD_decompression {

#include "Model.cpp"

extern "C" {
int ppmd_decompress( int order, int mem, int MRMethod, INOUT_FUNC *read_f, INOUT_FUNC *write_f)
{
  if ( !StartSubAllocator(mem) ) {
    // error
    return -1;
  }
  _PPMD_FILE* fpIn  = new _PPMD_FILE( read_f, 0);
  _PPMD_FILE* fpOut = new _PPMD_FILE( 0, write_f);
  DecodeFile( fpOut, fpIn, order, MR_METHOD(MRMethod));
  fpOut->flush();
  delete fpOut;
  delete fpIn;
  StopSubAllocator();
  return 0;
}
} // extern "C"

void _STDCALL PrintInfo(_PPMD_FILE* DecodedFile,_PPMD_FILE* EncodedFile)
{
}

} // namespace PPMD_decompression

