#include <time.h>
#include "FreeArc.h"

#define PRESENT_INT32

#ifdef  __cplusplus
extern "C" {
#endif

#define INIT_CRC 0xffffffff

#ifdef FREEARC_WIN
typedef wchar_t* CFILENAME;
#else
typedef char* CFILENAME;
#endif

void SetFileDateTime (const CFILENAME Filename, time_t t);   //  /  
char *FormatDateTime (time_t t);                         //  /   
void EnvSetConsoleTitle (char *title );                  //    
void EnvResetConsoleTitle (void );                       //   ,      
char *ExpandProgname (char *argv0);                      //     
unsigned GetPhysicalMemory (void);                       //    
uint UpdateCRC (void *Addr, uint Size, uint StartCRC);   //  CRC   
uint CalcCRC( void *Addr, uint Size);                    //  CRC  

#ifdef  __cplusplus
}
#endif
