# Project: FarPlugin
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = FarPlugin.o Compression.o C_LZMA.o Environment.o $(RES)
LINKOBJ  = FarPlugin.o Compression.o C_LZMA.o Environment.o $(RES)
LIBS =  -L"C:/Base/Compiler/Dev-Cpp/lib" -def FarPlugin.def  -s 
INCS =  -I"C:/Base/Compiler/Dev-Cpp/include"  -I"C:/Base/Tools/Far/PlugDoc/Headers.c" 
CXXINCS =  -I"C:/Base/Compiler/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Base/Compiler/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Base/Compiler/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Base/Compiler/Dev-Cpp/include/c++/3.4.2"  -I"C:/Base/Compiler/Dev-Cpp/include"  -I"C:/Base/Tools/Far/PlugDoc/Headers.c" 
BIN  = ../../!/FreeArchiver/Extractor/FreeArc.fmt
CXXFLAGS = $(CXXINCS) -DFREEARC_WIN -DFREEARC_INTEL_BYTE_ORDER -DFREEARC_DECOMPRESS_ONLY -O2 -march=i486 -mtune=pentiumpro -ffast-math -fomit-frame-pointer -fforce-addr -fstrict-aliasing  
CFLAGS = $(INCS)  
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before ../../!/FreeArchiver/Extractor/FreeArc.fmt all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

DLLWRAP=dllwrap.exe
DEFFILE=../../!/FreeArchiver/Extractor/libFreeArc.def
STATICLIB=../../!/FreeArchiver/Extractor/libFreeArc.a

$(BIN): $(LINKOBJ)
	$(DLLWRAP) --output-def $(DEFFILE) --driver-name c++ --implib $(STATICLIB) $(LINKOBJ) $(LIBS) -o $(BIN)

FarPlugin.o: ../../!/FreeArchiver/Extractor/FarPlugin.cpp
	$(CPP) -c ../../!/FreeArchiver/Extractor/FarPlugin.cpp -o FarPlugin.o $(CXXFLAGS)

Compression.o: ../../!/FreeArchiver/Compression/Compression.cpp
	$(CPP) -c ../../!/FreeArchiver/Compression/Compression.cpp -o Compression.o $(CXXFLAGS)

C_LZMA.o: ../../!/FreeArchiver/Compression/LZMA/C_LZMA.cpp
	$(CPP) -c ../../!/FreeArchiver/Compression/LZMA/C_LZMA.cpp -o C_LZMA.o $(CXXFLAGS)

Environment.o: ../../!/FreeArchiver/Environment.cpp
	$(CPP) -c ../../!/FreeArchiver/Environment.cpp -o Environment.o $(CXXFLAGS)
